# Get Domain Claim

> GET /domains/:domain_id/claim — retrieve the latest claim for a domain.

`GET /domains/:domain_id/claim`

Retrieves the latest claim for a domain. Poll this endpoint to follow a claim’s `status` after you [start a claim](https://www.sendping.co/docs/api/domains-claim). The `:domain_id` is the **placeholder domain id** returned in the `domain_claim` object.

**Path parameters**

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `domain_id` | string | Yes | The placeholder domain id returned when the claim was created. |

**Node.js**

```js
import { SendPing } from 'sendping';

const mb = new SendPing('mb_xxxxxxxxx');

const { data, error } = await mb.domains.getClaim('d91cd9bd-1176-453e-8fc1-35364d380206');
console.log({ data, error });
```

**Ruby**

```ruby
require "sendping"

SendPing.api_key = "mb_xxxxxxxxx"

SendPing::Domains.get_claim("d91cd9bd-1176-453e-8fc1-35364d380206")
```

**PHP**

```php
<?php
require 'vendor/autoload.php';

use SendPing\SendPing;

$sendping = SendPing::client('mb_xxxxxxxxx');

$sendping->domains->getClaim('d91cd9bd-1176-453e-8fc1-35364d380206');
```

**Python**

```python
import sendping

sendping.api_key = "mb_xxxxxxxxx"

sendping.Domains.get_claim("d91cd9bd-1176-453e-8fc1-35364d380206")
```

**Go**

```go
import "github.com/shekhu10/sendping-sdks/sendping-go"

client := sendping.NewClient("mb_xxxxxxxxx")

claim, err := client.Domains.GetClaim("d91cd9bd-1176-453e-8fc1-35364d380206")
```

**Rust**

```rust
use sendping::SendPing;

let mb = SendPing::new("mb_xxxxxxxxx");

let _claim = mb.domains.get_claim("d91cd9bd-1176-453e-8fc1-35364d380206").await?;
```

**Java**

```java
import co.sendping.SendPing;
import co.sendping.SendPingResponse;

SendPing sendping = new SendPing("mb_xxxxxxxxx");

SendPingResponse response = sendping.domains().getClaim("d91cd9bd-1176-453e-8fc1-35364d380206");
```

**.NET**

```csharp
using SendPing;

ISendPing sendping = SendPingClient.Create("mb_xxxxxxxxx");

var resp = await sendping.DomainRetrieveClaimAsync("d91cd9bd-1176-453e-8fc1-35364d380206");
```

**cURL**

```bash
curl -X GET 'https://www.sendping.co/api/domains/d91cd9bd-1176-453e-8fc1-35364d380206/claim' \
  -H 'Authorization: Bearer mb_xxxxxxxxx'
```

**CLI**

```bash
sendping domains claim get d91cd9bd-1176-453e-8fc1-35364d380206
```

### Response

```json
{
  "object": "domain_claim",
  "id": "dacf4072-4119-4d88-932f-6c6126d3a9d1",
  "name": "yourdomain.com",
  "status": "pending",
  "domain_id": "d91cd9bd-1176-453e-8fc1-35364d380206",
  "region": "us-east-1",
  "record": {
    "type": "TXT",
    "name": "yourdomain.com",
    "value": "sendping-domain-verification=3f8a1c2d4e5b6a7f8091a2b3c4d5e6f7",
    "ttl": "Auto"
  },
  "blocked_reason": null,
  "failure_reason": null,
  "created_at": "2026-06-16T17:12:02.059Z",
  "expires_at": "2026-06-23T17:12:02.059Z"
}
```

Errors: `not_found` if no claim exists for that domain id or it is not yours. See [Errors](https://www.sendping.co/docs/api/errors).
